opensaml::saml1p::SAMLArtifactType0001 Class Reference

Type 0x0001 SAML 1.x artifact class. More...

`#include <saml/saml1/binding/SAMLArtifactType0001.h>`

Inheritance diagram for opensaml::saml1p::SAMLArtifactType0001:
[legend]
Collaboration diagram for opensaml::saml1p::SAMLArtifactType0001:
[legend]

## Public Member Functions

| SAMLArtifactType0001 (const char *s)
| Decodes a base64-encoded type 0x0001 artifact.
| SAMLArtifactType0001 (const std::string &sourceid)
| Constructs an artifact with the specified source ID, but a random assertion handle.
| SAMLArtifactType0001 (const std::string &sourceid, const std::string &handle)
| Constructs an artifact with the specified source ID and assertion handle.
SAMLArtifactType0001 * | clone () const
| Builds a duplicate, independent artifact of the same type.
std::string | getSource () const
| Returns a string that identifies the source of the artifact.
std::string | getMessageHandle () const
| Returns the binary data that references the message (2.0) or assertion (1.x) The exact form this takes depends on the type.
virtual std::string | getSourceID () const
| Returns the binary data that identifies the source.
Public Member Functions inherited from opensaml::SAMLArtifact
virtual std::string | encode () const
| Returns artifact encoded into null-terminated base64 for transmission.
virtual std::string | getBytes () const
| Returns all of the raw binary data that makes up the artifact.
virtual std::string | getTypeCode () const
| Returns the binary type code of the artifact.
virtual std::string | getRemainingArtifact () const
| Returns the binary artifact data following the type code.

## Static Public Attributes

static const unsigned int | SOURCEID_LENGTH
| Length of source ID.
static const unsigned int | HANDLE_LENGTH
| Length of assertion handle.
Static Public Attributes inherited from opensaml::SAMLArtifact
static const unsigned int | TYPECODE_LENGTH
| Length of type code.

## Protected Member Functions

| SAMLArtifactType0001 (const SAMLArtifactType0001 &src)
| Copy constructor.
Protected Member Functions inherited from opensaml::SAMLArtifact
| SAMLArtifact (const char *s)
| Decodes a base64-encoded artifact into its raw form.
| SAMLArtifact (const SAMLArtifact &src)
| Copy constructor.

## Additional Inherited Members

Static Public Member Functions inherited from opensaml::SAMLArtifact
static SAMLArtifact * | parse (const char *s)
| Parses a base64-encoded null-terminated string into an artifact, if the type is known.
static SAMLArtifact * | parse (const XMLCh *s)
| Parses a base64-encoded null-terminated string into an artifact, if the type is known.
static std::string | toHex (const std::string &s)
| Converts binary data to hex notation.
Protected Attributes inherited from opensaml::SAMLArtifact
std::string | m_raw
| Raw binary data that makes up an artifact.

## Detailed Description

Type 0x0001 SAML 1.x artifact class.

## Constructor & Destructor Documentation

## SAMLArtifactType0001() [1/4]

opensaml::saml1p::SAMLArtifactType0001::SAMLArtifactType0001 | ( | const char * | s | ) |

Decodes a base64-encoded type 0x0001 artifact.

Parameters

  s | NULL-terminated base64-encoded string

## SAMLArtifactType0001() [2/4]

opensaml::saml1p::SAMLArtifactType0001::SAMLArtifactType0001 | ( | const std::string & | sourceid | ) |

Constructs an artifact with the specified source ID, but a random assertion handle.

Parameters

  sourceid | SOURCEID_LENGTH bytes of binary data

## SAMLArtifactType0001() [3/4]

opensaml::saml1p::SAMLArtifactType0001::SAMLArtifactType0001 | ( | const std::string & | sourceid,
|  | const std::string & | handle )

Constructs an artifact with the specified source ID and assertion handle.

Parameters

  sourceid | SOURCEID_LENGTH bytes of binary data
  handle | HANDLE_LENGTH bytes of binary data

## SAMLArtifactType0001() [4/4]

opensaml::saml1p::SAMLArtifactType0001::SAMLArtifactType0001 | ( | const SAMLArtifactType0001 & | src | ) |

protected

Copy constructor.

Parameters

  src | object to copy

## Member Function Documentation

## clone()

SAMLArtifactType0001 * opensaml::saml1p::SAMLArtifactType0001::clone | ( |  | ) | const

virtual

Builds a duplicate, independent artifact of the same type.

Returns
  the new artifact

Implements opensaml::SAMLArtifact.

## getMessageHandle()

std::string opensaml::saml1p::SAMLArtifactType0001::getMessageHandle | ( |  | ) | const

virtual

Returns the binary data that references the message (2.0) or assertion (1.x) The exact form this takes depends on the type.

The result MAY contain embedded null characters.

Returns
  the binary reference data

Implements opensaml::SAMLArtifact.

## getSource()

std::string opensaml::saml1p::SAMLArtifactType0001::getSource | ( |  | ) | const

virtual

Returns a string that identifies the source of the artifact.

The exact form this takes depends on the type but should match the syntax needed for metadata lookup.

Returns
  null-terminated source string

Implements opensaml::SAMLArtifact.

## getSourceID()

virtual std::string opensaml::saml1p::SAMLArtifactType0001::getSourceID | ( |  | ) | const

virtual

Returns the binary data that identifies the source.

The result MAY contain embedded null characters.

Returns
  the binary source ID

The documentation for this class was generated from the following file:

- saml/saml1/binding/SAMLArtifactType0001.h